
Figure - 开发 Dev #110953
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110951 (New): 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】支持应用使用小窗模式启动
2022-08-02 15:48 - DL FW-王琳

Status: New Start date: 2022-08-02

Priority: High Due date: 2022-08-10

Assignee: CD FW-鲁凯峰 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

1.冷启动的应用，使用小窗模式启动

2.热启动的应用，使用小窗模式启动

3.小窗启动默认位置配置

4.打开系统支持小窗模式的Feature或是配置项开关

思路：

1.冷启动应用，修改startActivity的逻辑，主要是LaunchParam中增加对freeform的解析和bound修改

2.热启动应用，通过对外提供的setWindowMode接口，传入FreeForm的参数

自测：

1.编写测试apk，冷启动Settings，进入到小窗模式显示，小窗默认位置按照UE设计要求。

2.通过最近任务列表上的小窗入口，热启动应用进入到小窗模式显示，小窗默认位置按照UE设计要求。

History

#1 - 2022-08-04 19:48 - CD FW-王伟

- Subject changed from 【MK】【AF】【MultiWindow】【TC-RID: 0301-0201401】支持应用使用小窗模式启动 to 【MK】【AF】【MultiWindow】

【TC-RID: 1201-0201401】支持应用使用小窗模式启动

#2 - 2022-08-10 17:20 - DL FW-张挽强

- File TestApp.zip added

- % Done changed from 0 to 90

测试小窗冷启动的apk在附件里面

自测点确认ok 目前UE没有明确小窗默认位置，暂时实现小窗默认位置是左上方

#3 - 2022-08-10 17:21 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD TPM-申艳艳

#4 - 2022-08-10 18:12 - DL FW-张挽强

- Assignee changed from CD TPM-申艳艳 to DL FW-张挽强

- % Done changed from 90 to 80

#5 - 2022-09-26 17:44 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930
#6 - 2022-09-27 19:20 - CD TPM-申艳艳

- Category set to 窗口定制

#7 - 2023-06-28 11:09 - CD FW-鲁凯峰

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

Files

TestApp.zip 52.9 KB 2022-08-10 DL FW-张挽强
